device_power_down
Prev | Device Drivers Power Management | Next

## Name

device_power_down — Shut down special devices.

## Synopsis

`int device_power_down (` | pm_message_t | state`)`;

## Arguments

`state`

  Power state to enter.

## Description

Power down devices that require interrupts to be disabled and move them from the dpm_off list to the dpm_off_irq list. Then power down system devices.

Must be called with interrupts disabled and only one CPU running.

Prev | Up | Next
device_resume | Home | device_suspend